Get A Consumer Entitled Catalog Items
Get a ConsumerEntitledCatalogItem by its unique Id.ConsumerEntitledCatalogItem are basically catalog items:
- in an active state.
- the current user has the right to consume.
- the current user is entitled to consume.
- associated to a service.
Here are some common OData properties to use for $filter or $orderby
name - filter based off catalog item's name
status - filter based off catalog item's status
service/id - filter based off catalog item's service id
service/name - filter based off catalog item's service name
organization/subTenant/id - filter based off catalog item's business group id (which can be found in catalogItem payload under organization -> subtenantRef)
organization/subTenant/name - filter based off catalog item's business group name (which can be found in catalogItem payload under organization -> subtenantLabel)
outputResourceType/id - filter based off catalog item's output resource type id (e.g.:'Infrastructure.Virtual')
outputResourceType/name - filter based off catalog item's output resource type name (e.g.: 'Virtual Machine')
catalogItemType/id - filter based off catalog item's type id (e.g.: 'Infrastructure.Virtual')
catalogItemType/name - filter based off catalog item's type id (e.g.: 'Virtual Machine')
icon/id - filter based off catalog item's icon id
Optional query parameter to filter the returned Catalog Items by one specific Service.
optional query parameter providing the value of the user Id to use when the intention is to request on behalf of someone else
optional query parameter which dictates if the output should be filtered for given subtenant only
Page Number
Number of entries per page
Multiple comma-separated properties sorted in ascending or descending order
Sets the number of returned entries from the top of the response (total number per page in relation to skip)
Sets how many entries you would like to skip
Boolean expression for whether a particular entry should be included in the response
successful operation
{
"number": 0,
"size": 0,
"last": false,
"numberOfElements": 0,
"totalPages": 0,
"content": [
{
"entitledOrganizations": [
{}
],
"catalogItem": {
"iconId": {
"image": [
"string"
],
"fileName": "string",
"id": "string",
"contentType": "string"
},
"isNoteworthy": false,
"providerBinding": {
"providerRef": {
"name": "string",
"providerTypeId": {
"name": "string",
"id": "string"
},
"id": "string"
},
"bindingId": "string"
},
"callbacks": {
"rollback": false,
"itemInitialize": false,
"itemInformation": false,
"validate": false
},
"description": "string",
"serviceRef": {
"iconId": {
"image": [
"string"
],
"fileName": "string",
"id": "string",
"contentType": "string"
},
"owner": {
"ref": "string",
"lastSync": "string",
"expired": false,
"tenantName": "string",
"name": "string",
"id": "string",
"type": "string"
},
"lastUpdatedBy": "string",
"hours": {
"startTime": "string",
"endTime": "string"
},
"description": "string",
"supportTeam": {
"ref": "string",
"lastSync": "string",
"expired": false,
"tenantName": "string",
"name": "string",
"id": "string",
"type": "string"
},
"version": 0,
"lastUpdatedDate": "string",
"changeWindow": {
"hours": {
"startTime": "string",
"endTime": "string"
},
"dayOfWeek": "string"
},
"name": "string",
"statusName": "string",
"newDuration": {
"unit": "string",
"amount": 0
},
"id": "string",
"status": "string"
},
"version": 0,
"lastUpdatedDate": "string",
"dateCreated": "string",
"catalogItemTypeRef": {
"iconId": {
"image": [
"string"
],
"fileName": "string",
"id": "string",
"contentType": "string"
},
"requestSchema": {
"classId": "string",
"typeFilter": "string"
},
"description": "string",
"callbacks": {
"rollback": false,
"itemInitialize": false,
"itemInformation": false,
"validate": false
},
"outputResourceTypeId": {
"iconId": {
"image": [
"string"
],
"fileName": "string",
"id": "string",
"contentType": "string"
},
"schema": {
"classId": "string",
"typeFilter": "string"
},
"pluralizedName": "string",
"parentTypeId": "ResourceType Object",
"callbacks": {
"details": false,
"list": false
},
"costFeatures": {
"leaseCost": false,
"lease": false
},
"description": "string",
"deleteIfNoChildren": false,
"listView": {
"columns": [
{
"filterable": false,
"permissibleValues": {
"customAllowed": false
},
"displayAdvice": "string",
"dataType": {
"typeId": "string"
},
"isMultiValued": false,
"description": "string",
"orderIndex": 0,
"id": "string",
"label": "string",
"state": {
"dependencies": [
"string"
],
"facets": [
{}
]
},
"sortable": false
}
],
"defaultSequence": [
"string"
]
},
"name": "string",
"providerTypeId": {
"name": "string",
"id": "string"
},
"id": "string",
"forms": {
"catalogResourceInfoHidden": false
},
"listDescendantTypesSeparately": false,
"primary": false,
"showChildrenOutsideParent": false,
"status": "string"
},
"createCustomApprovalTypes": false,
"itemSchema": {
"classId": "string",
"typeFilter": "string"
},
"providerId": {
"name": "string",
"providerTypeId": {
"name": "string",
"id": "string"
},
"id": "string"
},
"name": "string",
"providerTypeId": {
"name": "string",
"id": "string"
},
"id": "string",
"requestable": false,
"forms": {
"requestFormScale": "string",
"catalogRequestInfoHidden": false
}
},
"outputResourceTypeRef": {
"iconId": {
"image": [
"string"
],
"fileName": "string",
"id": "string",
"contentType": "string"
},
"schema": {
"classId": "string",
"typeFilter": "string"
},
"pluralizedName": "string",
"parentTypeId": "ResourceType Object",
"callbacks": {
"details": false,
"list": false
},
"costFeatures": {
"leaseCost": false,
"lease": false
},
"description": "string",
"deleteIfNoChildren": false,
"listView": {
"columns": [
{
"filterable": false,
"permissibleValues": {
"customAllowed": false
},
"displayAdvice": "string",
"dataType": {
"typeId": "string"
},
"isMultiValued": false,
"description": "string",
"orderIndex": 0,
"id": "string",
"label": "string",
"state": {
"dependencies": [
"string"
],
"facets": [
{}
]
},
"sortable": false
}
],
"defaultSequence": [
"string"
]
},
"name": "string",
"providerTypeId": {
"name": "string",
"id": "string"
},
"id": "string",
"forms": {
"catalogResourceInfoHidden": false
},
"listDescendantTypesSeparately": false,
"primary": false,
"showChildrenOutsideParent": false,
"status": "string"
},
"quota": 0,
"name": "string",
"statusName": "string",
"id": "string",
"requestable": false,
"forms": {
"requestFormScale": "string",
"catalogRequestInfoHidden": false
},
"status": "string"
}
}
],
"first": false,
"totalElements": 0
}
number
size
last
numberOfElements
totalPages
first
totalElements